import os
import sys

# add path to settings to system path if not already there
# check if path is already there to avoid path duplication when
# modwsgi is configured for code reloading
curdir = os.path.abspath(os.path.dirname(__file__))
if curdir not in sys.path:
    sys.path.append(curdir)

os.environ['DJANGO_SETTINGS_MODULE'] = 'settings'

#
# add extra paths to system path if not already there
# check if path is already there to avoid path duplication when
# modwsgi is configured for code reloading
extra_paths = [path for path in settings.EXTRA_PYTHONPATH
               if path not in sys.path]
sys.path.extend(extra_paths)

import django.core.handlers.wsgi
application = django.core.handlers.wsgi.WSGIHandler()
