import os.path

from django_configglue.utils import configglue

from isd_sentry.schema import SentrySchema


# get location of local cfg files
local_configs = os.environ.get('CONFIGGLUE_LOCAL_CFG',
    '../../../local_config/local.cfg:local.cfg').split(':')

# get absolute path for config files
current_dir = os.path.dirname(os.path.abspath(__file__))
config_files = map(lambda x: os.path.join(current_dir, x),
                           ['config/main.cfg'] + local_configs)

# glue everything together
# note: need to use locals() here because __name__ is not the current
# module, as logan creates a new module called config dynamically
configglue(SentrySchema, config_files, locals())
