from fabric.api import settings

from .database import createdb, dropdb
from .django import syncdb, manage
from .environment import bootstrap, virtualenv_local


def test(coverage=False, extra='isd_sentry'):
    """Run unit tests."""
    cmd = ['python django_project/manage.py test --noinput', extra]
    virtualenv_local(' '.join(cmd), capture=False)

def _is_true(arg):
    return arg.lower() in ('t', 'true', 'on', '1')

def run(*args):
    """Run isd-sentry using devserver."""
    manage('runserver', *args)

def resetdb():
    """Drop and recreate then sync the database."""
    with settings(hide='warnings'):
        dropdb(warn_only=True)
    createdb()
    syncdb()

def jenkins():
    """Run the tests for jenkins."""
    bootstrap(jenkins=True)
    resetdb()
    manage("jenkins")
