# Copyright 2011 Canonical Ltd.
from __future__ import absolute_import
import os

from .environment import virtualenv_local


def get_django_settings(*keys):
    # setup the correct django environment
    if not os.environ.get('DJANGO_SETTINGS_MODULE'):
        os.environ['DJANGO_SETTINGS_MODULE'] = 'django_project.settings'
    # get django settings
    from django.conf import settings

    result = dict.fromkeys(keys)
    for key in keys:
        result[key] = getattr(settings, key)

    return result

def manage(command, *args, **kwargs):
    """Run manage.py command"""
    args += tuple("%s=%s" % (k,v) for (k,v) in kwargs.items())
    virtualenv_local("python django_project/manage.py {0} {1}".format(
        command, " ".join(args)), capture=False,)

def syncdb():
    """Sync the database."""
    args = '--noinput'
    virtualenv_local("python django_project/manage.py syncdb %s" % args,
        capture=False)
