from configglue.schema import (
    BoolOption,
    DictOption,
    IntOption,
    ListOption,
    Section,
    StringOption,
)
from django_configglue.schema import schemas


DjangoSchema = schemas.get('1.3')


class SentrySchema(DjangoSchema):
    class sentry(Section):
        sentry_key = StringOption(raw=True)
        sentry_filters = ListOption(
            default=[
                'sentry.filters.StatusFilter',
                'sentry.filters.LoggerFilter',
                'sentry.filters.LevelFilter',
                'sentry.filters.ServerNameFilter',
                'sentry.filters.SiteFilter',
            ])
        sentry_public = BoolOption(default=True)
        sentry_web_host = StringOption()
        sentry_web_port = IntOption()
        sentry_udp_host = StringOption()
        sentry_udp_port = IntOption()
        sentry_url_prefix = StringOption()
        sentry_sample_data = BoolOption(default=True)

    class openid(Section):
        openid_create_users = BoolOption()
        openid_sso_server_url = StringOption()
        openid_set_language_from_sreg = BoolOption()
        openid_update_details_from_sreg = BoolOption()
        openid_sreg_extra_fields = ListOption()
        openid_launchpad_teams_mapping = DictOption()
        openid_launchpad_staff_teams = ListOption()
        openid_restrict_access_to_teams = ListOption()
